PlanDocket

Floor Plans

Business+

Retrieve floor plans and hall layouts.

Read Only This endpoint only supports GET requests.
Required scopes: plans
Access level: GET plans:read About access levels
Feature flag: plans

Endpoints

GET /api/v1/plans

List all floor plans

GET /api/v1/plans/{id}

Retrieve a single floor plan

Query Parameters

Parameter Description
event_key Filter by event key
is_active Filter by active status (0 or 1)
sort Sort field (plan_name, plan_key, area_name, sort_order, created_at, updated_at)
order Sort direction (ASC or DESC, default: DESC)
include Include related data (booth_count, booths)

Response Schema

Field Type
id integer
event_id integer
event_title string|null
plan_key string|null
plan_name string
description string|null
area_name string|null
width float|null
height float|null
background_image string|null
floor_plan_svg string|null
floor_plan_width float|null
floor_plan_height float|null
grid_size integer
scale_factor float
is_active boolean
sort_order integer
created_at string
updated_at string

Code Examples

curl -X GET "https://your-tenant.plandocket.com/api/v1/plans" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://your-tenant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/plans',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://your-tenant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/plans`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://your-tenant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
}

response = requests.get(f'{base_url}/api/v1/plans', headers=headers)
data = response.json()
print(data)

Sample Response

200 OK
{
    "data": [
        {
            "id": 1,
            "event_id": 1,
            "event_title": "string",
            "plan_key": "string",
            "plan_name": "string",
            "description": "string",
            "area_name": "string",
            "width": 100,
            "height": 100,
            "background_image": "string",
            "floor_plan_svg": "string",
            "floor_plan_width": 100,
            "floor_plan_height": 100,
            "grid_size": 1,
            "scale_factor": 100,
            "is_active": true,
            "sort_order": 1,
            "created_at": "2026-01-15T10:00:00+01:00",
            "updated_at": "2026-01-15T10:00:00+01:00"
        }
    ],
    "meta": {
        "current_page": 1,
        "per_page": 25,
        "total": 1,
        "total_pages": 1
    }
}